curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-aliexpress-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "1005012791281455"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-aliexpress-product"
payload = { "product": "1005012791281455" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '1005012791281455'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-aliexpress-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "aliexpress_product",
"product": "1005012791281455",
"language": null,
"currency": null,
"human": "# AliExpress product\n\n- **Product:** 1005012791281455\n- **Proxy traffic:** 1.51 MB\n- **Title:** EPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office - AliExpress 7\n- **Price:** USD48.38\n- **Store:** Virtdream Store",
"machine": {
"product": {
"id": "1005012791281455",
"product_url": "https://www.aliexpress.us/item/3256812604966703.html?gatewayAdapt=4itemAdapt",
"product_title": "EPOMAKER NEX Lite Tri-Mode Wireless Gaming Mouse PAW3311 12000 DPI 1000Hz RGB Charging Dock for PC Mac Gaming Office - AliExpress 7",
"image": "https://ae-pic-a1.aliexpress-media.com/kf/Sff1d5d4c796e423e8f2a12aa0b6ba80fm.png",
"images": [
"https://ae-pic-a1.aliexpress-media.com/kf/Sff1d5d4c796e423e8f2a12aa0b6ba80fm.png",
"https://ae-pic-a1.aliexpress-media.com/kf/S724cb8c7693b4d23b425c0abf397784ft.png"
],
"price": 48.38,
"currency": "USD",
"rating": null,
"review_count": null,
"sold_text": "6 sold",
"max_purchase_quantity": null,
"category_ids": [],
"store": {
"@type": "AliexpressProductStore",
"id": "1104267285",
"name": "Virtdream Store",
"url": "https://www.aliexpress.com/store/1104267285",
"image": null,
"positive_rate": null,
"feedback_count": null
},
"shipping": null,
"skus": []
},
"proxy_traffic_bytes": 1583480,
"diagnostics": {
"rating": [],
"star": [],
"review": [
{
"tag": "DIV",
"class": "image-view-v2--previewWrap--lICzhlN",
"text": ""
},
{
"tag": "DIV",
"class": "image-view-v2--previewBox--yPlyD6F",
"text": ""
},
{
"tag": "DIV",
"class": "image-view-v2--previewCover--VaNK2G0",
"text": ""
}
],
"sold": [
{
"tag": "SPAN",
"class": "reviewer--sold--ytPeoEy",
"text": "6 sold"
}
],
"spec": [],
"sku": [
{
"tag": "DIV",
"class": "sku--wrap--xgoW06M",
"text": "Color: Pink"
},
{
"tag": "DIV",
"class": "sku-item--wrap--t9Qszzx",
"text": "Color: Pink"
},
{
"tag": "DIV",
"class": "sku-item--property--HuasaIz",
"text": "Color: Pink"
}
],
"quantity": [
{
"tag": "DIV",
"class": "quantity--title--wI85xE8",
"text": "Quantity"
},
{
"tag": "DIV",
"class": "comet-v2-input-number quantity--picker--OaDgLYT",
"text": ""
},
{
"tag": "DIV",
"class": "quantity--info--jnoo_pD",
"text": "998 available"
}
],
"feedback": [],
"positive": [],
"level": [],
"score": [],
"store": [
{
"tag": "A",
"class": "store-detail--wrap--IhR4e1j",
"text": "Sold ByVirtdream Store(Trader)"
},
{
"tag": "DIV",
"class": "store-detail--title--qt8UBeq",
"text": "Sold By"
},
{
"tag": "DIV",
"class": "store-detail--storeNameWrap--Z45gRHH",
"text": "Virtdream Store(Trader)"
}
]
}
},
"total_points": 5
}AliExpress product
Get AliExpress product details by ID: title, price, images, and store. Flat 5 points per successful run.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Product ID or URL. e.g. 1005012791281455
Content language. Options: ar_MA = ar_MA, de_DE = de_DE, en_US = en_US, es_ES = es_ES, fr_FR = fr_FR, in_ID = in_ID, it_IT = it_IT, iw_IL = iw_IL, ja_JP = ja_JP, ko_KR = ko_KR, nl_NL = nl_NL, pl_PL = pl_PL, pt_BR = pt_BR, ru_RU = ru_RU, th_TH = th_TH, tr_TR = tr_TR, vi_VN = vi_VN
ar_MA, de_DE, en_US, es_ES, fr_FR, in_ID, it_IT, iw_IL, ja_JP, ko_KR, nl_NL, pl_PL, pt_BR, ru_RU, th_TH, tr_TR, vi_VN Currency. Options: USD = USD, EUR = EUR, GBP = GBP, CAD = CAD, AUD = AUD, RUB = RUB, BRL = BRL, CLP = CLP, JPY = JPY, KRW = KRW, CHF = CHF, SEK = SEK, PLN = PLN, ILS = ILS, NOK = NOK, DKK = DKK, NZD = NZD, MXN = MXN, COP = COP, TRY = TRY, THB = THB, SGD = SGD, MYR = MYR, PHP = PHP, IDR = IDR, INR = INR, VND = VND, HKD = HKD, TWD = TWD, AED = AED, SAR = SAR, CZK = CZK, HUF = HUF, RON = RON, BGN = BGN, UAH = UAH, KZT = KZT, ARS = ARS, EGP = EGP, ZAR = ZAR, CNY = CNY, PEN = PEN
USD, EUR, GBP, CAD, AUD, RUB, BRL, CLP, JPY, KRW, CHF, SEK, PLN, ILS, NOK, DKK, NZD, MXN, COP, TRY, THB, SGD, MYR, PHP, IDR, INR, VND, HKD, TWD, AED, SAR, CZK, HUF, RON, BGN, UAH, KZT, ARS, EGP, ZAR, CNY, PEN Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.